Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005258opensim[GRID] Robust Serverpublic2010-12-08 03:102020-11-21 22:55
Reporteraiaustin 
Assigned Totampa 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005258: Robust.HG.ini.example Queries and Corrections
DescriptionRobust.HG.ini.example

Comment typo correction... "if none if specified above" should read "if none is specified above" (also in Robust.ini.example)

Robust.HG.ini.example [HGInventoryService] and [HGAssetService] sections uses:

    ProfileServerURI = "http://127.0.0.1:8002/user" [^]

But the config-include/GridCommon.ini.example has [HGInventoryAccessModule] section line:

    ProfileServerURI = "http://mygridserver.com:8002/profiles" [^]

Should this be consistent in the example .ini files as to whether to use /profiles or /user ?

In the [LoginService], [GatekeeperService] and [UserAgentService] sections one parameter reads:

    ; If you run this login/gatekeeper/user agent server behind a proxy, set this to true
    ; HasProxy = true

It is usual to show default in .ini files, so should this read false in all three instances? (Ditto for relevant sections of Robust.ini.example).

    ; HasProxy = false


Formatting only - SRV_ProfileServerURI line is indented differently to other SRV_ lines

For consistency in [AssetService] section add a "./" to files name...

    AssetLoaderArgs = "./assets/AssetSets.xml"

-------------

For [FreeswitchService] section, only one line is present in Robust.HG.ini.example:
    LocalServiceModule = "OpenSim.Services.FreeswitchService.dll:FreeswitchService"

Is this correct? Or should the same lines as in Robust.ini.example [FreeswitchService] section be present?

    ;; IP of your FS server
    ; ServerAddress = 127.0.0.1

    ;; All other options are - well - optional
    ; Realm = "127.0.0.1"
    ; SIPProxy = "127.0.0.1:5060"
    ; EchoServer = "127.0.0.1"
    ; EchoPort = 50505
    ; AttemptSTUN = "false"
    ; DefaultTimeout = 5000
    ; Context = "default"
    ; UserName = "freeswitch"
    ; Password = "password"

Could clarify if stated IP for ServerAddress will be used where needed if rest of lines are left commented out? Or if they MUST be changed if FS IP is not locally used.
TagsNo tags attached.
Git Revision or version number0.7.1 dev master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows32
Mono VersionNone
ViewerSL 1.23.5
Attached Files

- Relationships

-  Notes
(0017455)
samiam (reporter)
2010-12-08 07:33

May want to add mantis 0005251 to the list here, also assumed typos in gridcommon or at least a workaround of sorts with slightly differnt results.
OpenID (if thats what it uses) is acessed in web browser for ProfileServer http://my.funky.net:8002/users/ [^] Open ID then asks for profile data.

if i use ProfileServerURI = "http://my.funky.net:8002/user" [^] i get gnomes page not found.
 
tnx
(0017456)
aiaustin (developer)
2010-12-08 08:26
edited on: 2010-12-08 08:26

I note this additional mistake (?) in the Robst.HG.ini [UserAccountService] section - default should be in the commented out "Realm" line.. so, if the lead in comment is correct, it should be "users" not "useraccounts" as now.
    
; * This is the new style user service.
; * "Realm" is the table that is used for user lookup.
; * It defaults to "users", which uses the legacy tables
; *
...
        ; Realm = "users"

(0017459)
aiaustin (developer)
2010-12-08 09:24
edited on: 2010-12-08 09:25

Opensim.ini.example has inappropriate server IP number left in for FreeSwitch (Server at Melanie's location?).

[FreeswitchService]
    ;; !!!!!!!!!!!!!!!!!!!!!!!!!!!
    ;; !!!!!!STANDALONE ONLY!!!!!!
    ;; !!!!!!!!!!!!!!!!!!!!!!!!!!!
    ;; IP of your FS server
    ;ServerAddress = 85.25.142.92

should be altered to "127.0.0.1" and in quotes for consistency.

(0017469)
Diva (administrator)
2010-12-09 09:31

[09:30] <CIA-4> opensim: diva * r3675bb29816e /bin/ (3 files in 2 dirs): Make configs consistent, as per mantos 0005258

WRT the Freeswitch ServerAddress, I don't know whose IP that is, but I think it illustrates the point that ppl need to set that to the external IP address of the simulator.
(0017470)
aiaustin (developer)
2010-12-09 09:48

Okay Diva, thanks.

Will test with changed configs you have committed tomorrow.

Makes sense on FreeSwitch server IP. I think the example in there is maybe Melanie's site? Its a German host according to Whois.

- Issue History
Date Modified Username Field Change
2010-12-08 03:10 aiaustin New Issue
2010-12-08 03:10 aiaustin Git Revision => 0.7.1 dev master
2010-12-08 03:10 aiaustin SVN Revision => 14611
2010-12-08 03:10 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-12-08 03:10 aiaustin Physics Engine => ODE
2010-12-08 03:10 aiaustin Environment => .NET / Windows32
2010-12-08 03:10 aiaustin Mono Version => None
2010-12-08 03:10 aiaustin Viewer => SL 1.23.5
2010-12-08 03:15 aiaustin Description Updated
2010-12-08 03:17 aiaustin Description Updated
2010-12-08 07:33 samiam Note Added: 0017455
2010-12-08 08:26 aiaustin Note Added: 0017456
2010-12-08 08:26 aiaustin Note Edited: 0017456
2010-12-08 08:33 aiaustin Description Updated
2010-12-08 09:24 aiaustin Note Added: 0017459
2010-12-08 09:25 aiaustin Note Edited: 0017459
2010-12-09 09:31 Diva Note Added: 0017469
2010-12-09 09:48 aiaustin Note Added: 0017470
2014-01-23 15:41 justincc Category Robust Server => [GRID] Robust Server
2020-11-21 22:55 tampa Status new => resolved
2020-11-21 22:55 tampa Resolution open => fixed
2020-11-21 22:55 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker